Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
recommended-actions
/
{id}
/
reconsider
Reconsider recommended action
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{id}/reconsider \
  --header 'Authorization: <api-key>'
{
  "description": "<string>",
  "details": "<string>",
  "opportunity": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "action": {
    "id": "<string>",
    "opportunity_id": "<string>",
    "name": "<string>",
    "trigger_rules": "<string>",
    "recommendation_rules": "<string>",
    "channel": "<string>",
    "criticality_rule": "<string>",
    "impact_rule": "<string>",
    "effort_rule": "<string>",
    "timeline_rule": "<string>",
    "active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "id": "<string>",
  "pipeline_run_id": "<string>",
  "organization_id": "<string>",
  "workspace_id": "<string>",
  "team": [
    "<string>"
  ],
  "effort": "<string>",
  "impact": "<string>",
  "criticality": "<string>",
  "timeline": "<string>",
  "reasoning": "<string>",
  "channel": "<string>",
  "category": "<string>",
  "brand": "<string>",
  "country": "<string>",
  "score": 123,
  "action_label": "<string>",
  "tasks": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "recommended_action_result_id": "<string>",
      "brief_template_id": "<string>",
      "brief_body": "",
      "sort_order": 0,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "brief_generation_status": "not-started",
  "workflow_status": "new",
  "dismiss_comment": "<string>",
  "dismiss_date": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string<uuid>
required

Recommended action identifier

organization_id
string<uuid>
required

Organization identifier

workspace_id
string<uuid>
required

Workspace identifier

Response

Recommended action moved back to New (workflow_status set to new)

description
string
required

Detailed description of the action

details
string
required

Detailed markdown tasks and examples

opportunity
object
action
object
id
string | null

Recommended action result UUID

pipeline_run_id
string | null

Recommendation pipeline run UUID that produced this result, if any

organization_id
string | null

Organization ID

workspace_id
string | null

Workspace ID

team
string[] | null

Teams responsible for the action

effort
string | null

Effort required to perform the action

impact
string | null

Impact of the action on the brand

criticality
string | null

Criticality level of the action

timeline
string | null

Timeline required to perform the action

reasoning
string | null

Reasoning behind the recommendation

channel
string | null

Channel this action relates to

category
string | null

Category this action relates to

brand
string | null

Brand this action relates to

country
string | null

Country this action relates to

score
integer | null

Score from 0 to 100

action_label
string | null

Human-readable contextual title for the recommendation

tasks
object[]

Activable tasks generated by the pipeline for this recommendation

brief_generation_status
string
default:not-started

Brief generation lifecycle: not-started (never run), pending, in-progress, generated, error

workflow_status
string
default:new

User-facing plan status: new (default), confirmed (on my plan), dismissed

dismiss_reason
enum<string> | null

Reason for dismissal; null when not dismissed

  • not_relevant - not_relevant
  • already_implemented - already_implemented
  • not_feasible - not_feasible
  • deprioritised - deprioritised
Available options:
not_relevant,
already_implemented,
not_feasible,
deprioritised,
null
dismiss_comment
string | null

Optional free-text comment on dismissal

dismiss_date
string<date-time> | null

Timestamp when the action was dismissed